/* Qaquarelle
 * Copyright (C) 2009 Anton R.
 *
 * This is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public
 * License as published by the Free Software Foundation; either
 * version 3 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * General Public License for more details.
 *
 * You should have received a copy of the GNU General Public
 * License along with this software; if not, write to the
 * Free Software Foundation, Inc., 59 Temple Place - Suite 330,
 * Boston, MA 02111-1307, USA.
 */
#ifndef PAINTINGSTYLE_FRAME_H
#define PAINTINGSTYLE_FRAME_H

#include <QtGui>


class CustomFrame : public QWidget {
    Q_OBJECT

public:
    CustomFrame (QWidget * parent) : QWidget (parent) {
        setWindowTitle (tr ("Paint properties."));
    }

signals:
    void closed (void);

protected:
    virtual void closeEvent (QCloseEvent * e) {
        Q_UNUSED (e);
        emit closed ();
    }
};


#endif // PAINTINGSTYLE_FRAME_H
